PrefabFiles = {
	"wod","brass_lantern", "pigtorch_flame",
}

Assets = {
    Asset( "IMAGE", "images/saveslot_portraits/wod.tex" ),
    Asset( "ATLAS", "images/saveslot_portraits/wod.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/wod.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/wod.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/wod_silho.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/wod_silho.xml" ),

    Asset( "IMAGE", "bigportraits/wod.tex" ),
    Asset( "ATLAS", "bigportraits/wod.xml" ),

	Asset("ATLAS", "images/inventoryimages/brass_lantern.xml"),
}

        STRINGS = GLOBAL.STRINGS
        RECIPETABS = GLOBAL.RECIPETABS
        Recipe = GLOBAL.Recipe
        Ingredient = GLOBAL.Ingredient
        TECH = GLOBAL.TECH

        GLOBAL.STRINGS.NAMES.BRASS_LANTERN = "Brass Lantern"
        STRINGS.RECIPE_DESC.BRASS_LANTERN = "Swanky light source!"
        GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.BRASS_LANTERN = "It smells funny. And mildly toxic."
		
		        local brass_lantern = GLOBAL.Recipe("brass_lantern",{ Ingredient("flint", 1), Ingredient("goldnugget", 5), Ingredient("charcoal", 1) },                     
        RECIPETABS.LIGHT, {SCIENCE=1} )
        brass_lantern.atlas = "images/inventoryimages/brass_lantern.xml"
		
-- strings! Any "WOD" below would have to be replaced by the prefab name of your character.

-- The character select screen lines
-- note: these are lower-case character name
GLOBAL.STRINGS.CHARACTER_TITLES.wod = "Haruz"
GLOBAL.STRINGS.CHARACTER_NAMES.wod = "Wod"  -- Note! This line is especially important as some parts of the game require
                                            -- the character to have a valid name.
GLOBAL.STRINGS.CHARACTER_DESCRIPTIONS.wod = "*Have Lantern.\n*Scare of Dark.\n*Handsome?"
GLOBAL.STRINGS.CHARACTER_QUOTES.wod = "\"The Scary Dog\""

-- You can also add any kind of custom dialogue that you would like. Don't forget to make
-- categores that don't exist yet using = {}
-- note: these are UPPER-CASE charcacter name
GLOBAL.STRINGS.CHARACTERS.WOD = {}
GLOBAL.STRINGS.CHARACTERS.WOD.DESCRIBE = {}
GLOBAL.STRINGS.CHARACTERS.WOD.DESCRIBE.EVERGREEN = "Sollyz..Where are you?"

-- Let the game know Wod is a male, for proper pronouns during the end-game sequence.
-- Possible genders here are MALE, FEMALE, or ROBOT
table.insert(GLOBAL.CHARACTER_GENDERS.MALE, "wod")


AddModCharacter("wod")
